import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// 查询MU
export function selectMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_筛选框_筛选MU',
      param: '角色代码=' + arguments[0] + '&操作者工号=' + arguments[1]
    }
  })
}
// 查询部门
export function selectDepartment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_筛选框_筛选SL',
      param: '角色代码=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&MU=' + arguments[2]
    }
  })
}
// 查询Area
export function selectArea() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_筛选框_筛选Area',
      param: '角色代码=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&部门=' + arguments[2]
    }
  })
}
// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + '0'
    }
  })
}

// 除MU外部门查询Segment
export function selectSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询_多个查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// MU查询Segment
export function selectSegmentForMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_Segment_多个查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// GM查询
export function selectMUForGM() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_MU',
      param: '人员编号=' + arguments[0]
    }
  })
}
// // 查询奖金基数
// export function searchBonus() {
//   return request({
//     url: '',
//     method: 'post',
//     data: {
//       type: '1',
//       name: '奖金绩效系统_生产奖金基数查询_改动2',
//       param: `开始时间=${arguments[0]}&结束时间=${arguments[1]}&人员代码=${arguments[2]}&角色代码=${arguments[3]}&MU_Department=${arguments[4]}&MU_Department_check=${arguments[5]}&Segment_Department=${arguments[6]}&Segment_Department_check=${arguments[7]}`
//     }
//   })
// }
// 查询奖金基数
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_生产奖金基数查询',
      param: 'MU_Department=' + arguments[0] + '\\&MU_Department_check=' + arguments[1] + '\\&Segment_Department=' + arguments[2] + '\\&Segment_Department_check=' + arguments[3]
    }
  })
}
